;; Copyright 2008, 2009 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (add-to-list 'load-path "..")
  (eval-after-load "make-mode" '(require 'make-mode-fillindent))
  (find-file "t-make-mode-fillindent.makefile"))

(progn
  (add-to-list 'load-path "..")
  (eval-after-load "make-mode" '(require 'make-mode-fillindent))
  (find-file "t-make-mode-fillindent.makefile")
  (require 'filladapt)
  (turn-on-filladapt-mode))

(progn
  (find-file "t-make-mode-fillindent.makefile")
  (require 'filladapt)
  (turn-on-filladapt-mode))

makefile-fill-paragraph
fill-paragraph-function

(compile "cd $HOME/lisp; set -x;
emacs21  -batch -q -no-site-file -f batch-byte-compile make-mode-fillindent.el;
emacs22  -batch -q -no-site-file -f batch-byte-compile make-mode-fillindent.el;
xemacs   -batch -q -no-site-file -f batch-byte-compile make-mode-fillindent.el;
emacs-cvs-b -batch -q -no-site-file -f batch-byte-compile make-mode-fillindent.el;
rm make-mode-fillindent.elc")

(progn
  ;;   (setq generated-autoload-file "/tmp/make-mode-fillindent-autoloads.el")
  ;;   ;;(if (file-exists-p generated-autoload-file)
  ;;    ;;   (delete-file generated-autoload-file))
  ;;   (write-region (point-min) (point-min) generated-autoload-file)
  ;;   (find-file generated-autoload-file)
  (require 'autoload)
  (switch-to-buffer "x")
  (generate-file-autoloads "../make-mode-fillindent.el"))
