;; Copyright 2016, 2017 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.




\left(

\bigr]

\Huge

----------

(progn
  (goto-char (point-min))
  (re-search-forward "x\\(abc\\)x")
  (goto-char (- (point) 3))
  (replace-match "zzz"))
xaxbcx


(tex-increase-replace (point) (+ 2 (point)) "ab")
(tex-increase-replace (point) (1+ (point)) "a")
(tex-increase-replace (1- (point)) (point) "a")
(tex-increase-replace (point) (+ 3 (point)) "abcd")
12345678

(tex-increase-replace (- (point) 2) (+ (point) 2) "abcd")
12345678

12|34
12z|34    insert after
1z|34

12|34
12|3z4    insert after
12|z4


(save-excursion (goto-char (1- (point))) (insert "z"))
(save-excursion
  (goto-char (+ -1 (point)))
  (insert "z")
  (delete-region (point) (1+ (point))))
12345

(save-excursion
  (goto-char (+ -1 (point)))
  (goto-char (1+ (point)))
  (insert "z"))
12z34







---------------------

    '(;; ( [ { \lbrace \lvert \lceil \lfloor
      ("[([]\\|\\\\{\\|\\\\l\\(brace\\|vert\\|ceil\\|floor\\)" "\\bigl")
      ;; ) ] } \rbrace \rvert \rceil \rfloor
      ("[])]\\|\\\\}\\|\\\\r\\(brace\\|vert\\|ceil\\|floor\\)" "\\bigr"))
    "An internal part of tex-increase.el.
Regexps to match some text which can have the given macro applied
for an initial increase in size.  These are the parens ( ) etc
getting \\=\\bigl or \\=\\bigr as their first increase."


(defconst tex-increase-alist-increase
  (let (result)
  (dolist (l tex-increase-lists)
    (dotimes (i (1- (length l)))
      (if (nth i l) 
          (push (cons (nth i l)  (nth (1+ i) l))
                result))
      (push (cons (nth (1+ i) l)  (nth i l)) 
            result))


    (dolist (elem tex-increase-initial-regexps)
      (when (thing-at-point-looking-at (car elem))
        (save-excursion
          (goto-char (match-beginning 0))
          (insert (cadr elem)))
        (setq arg (1- arg)))))))


        ;; insert after char to be replaced, then delete
        (goto-char (1+ (point)))
        (if (< pos (length str)) (insert (substring str pos (1+ pos))))
        (delete-region (- (point) 2) (1- (point)))
---------------------
(tex-increase-replace (point) (+ 3 (point)) "z")
xxx
